Subject: Re: [mingw32] Re: [RFC] changing gcc default output executable name (a.exe now)
From: Kai Ruottu <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 13 Jan 2000 20:14:36 +0200

Brendan J Simon wrote:
> 
> Mumit Khan wrote:
> 
> > Are people happy/ok with the fact that gcc on win32 produces a program
> > called a.exe by default? For example,
> >
> >   $ gcc foo.c
> >
> > will create a.exe. This is of course not really expected on DOS/Windows
> > world, and causes all sorts of confusion. Also, this is simply lame even
> > on Unix, and this historical bit should've disappeared long ago, but
> > won't since it's a convention now.
> >
> > I'd like to move to creating <name>.exe, where <name> is the first file
> > on the list you provided to gcc.
> >
> >   $ gcc foo1.c foo2.c foo3.c
> >
> > will produce foo1.exe, not a.exe as it does now.
> >
> > Is this something we should change??
> 
> Yep.  I agree entirely.
> An output of <name> or even <name>.exe would be justified on Unix boxes
> also in my opinion.  I don't know why Unix people still insist on making
> things harder and more cryptic then they have to be.  I think it's an ego
> powertrip thing or something.

 The stuff before the '.exe' may be ok, but the '.exe' isn't. It simply hints
it to be a DOS/Windows/OS/2 executable (VAX/VMS too) :

	E:\usr\local\samples>gcc-linux-gnu -o hello hello.c

	E:\usr\local\samples>dir/o-d/p
	 Volume in drive E is NTFS_3
	 Volume Serial Number is E86F-81C3

	 Directory of E:\usr\local\samples

	13.01.00  20:05                  4 734 hello.exe
	<clip>

Producing something else for other targets than Win32, when using no
extension in 'name' with '-o name', is absolutely wrong...  The '.exe'
should be tied to the Win32-target, not to the Win32-host for GCC...

Cheers, Kai

--
Want to unsubscribe from this list?
Send a message to [email-masked]